Bug 139971 - Bad: Nautilus hangs for a few minutes when screen depth is 16
Bad: Nautilus hangs for a few minutes when screen depth is 16
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
3
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-18 18:12 EST by Nick Gee
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 23:38:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Gee 2004-11-18 18:12:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When the default color depth of the screen is set to 16 bit, as
defined in /etc/xorg.conf, the following happens when a user has
logged out and he (or another user) logs in again from GDM:

* Nautilus hangs for a few minutes.
* The desktop is therefor unusable.
* No icons are shown on the desktop.
* No wallpaper is shown.
* The rest of Gnome is usable (one can start programs, use the taskbar
and menu bar).

The following didn't help:
* Turning off the wallpaper.

The following helped:
* Setting the color depth to 24 bit (in xorg.conf).


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Set color default depth of the screen to 16 bit in /etc/xorg.conf
2. Log in with GDM.
3. Log out.
4. Log in again (doesn't have to be the same user).
    

Actual Results:  * Nautilus hangs for a few minutes.
* The desktop is therefor unusable.
* No icons are shown on the desktop.
* No wallpaper is shown.
* The rest of Gnome is usable (one can start programs, use the taskbar
and menu bar).

Additional info:

Graphics driver = MGA
Videocard = Matrox Millenium II AGP 4MB
Comment 1 Alexander Larsson 2005-01-11 09:53:33 EST
Can you try getting a backtrace from nautilus when this happens?
See http://fedoraproject.org/wiki/StackTraces for information on how
to get backtraces.
Comment 2 Matthew Miller 2006-07-10 16:21:25 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-30 23:38:01 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.